Name:		xv
Summary:	An X based image file viewer and manipulator
Version:	3.10a
Release:	280.sl5

License:	Shareware
Group:		Amusements/Graphics
Source0:	ftp://ftp.cis.upenn.edu/pub/xv/xv-%{version}.tar.gz
Source1:	xv-3.10a-jumbo-README.txt
Patch0:		xv-3.10a-jumbo-fix-patch-20050410.patch
Patch1:		xv-3.10a-jumbo-enh-patch-20050501.patch
URL:		http://www.trilon.com/xv/xv.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	desktop-file-utils
BuildRequires:	libXt-devel, libjpeg-devel, libtiff-devel, libpng-devel

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Xv is an image display and manipulation utility for the X Window
System.  Xv can display GIF, JPEG, TIFF, PBM, PPM, X11 bitmap, Utah
Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX, IRIS RGB, XPM,
Targa, XWD, PostScript(TM) and PM format image files.  Xv is also
capable of image manipulation like cropping, expanding, taking
screenshots, etc

%package docs
Summary:	Documentation to xv
Requires:	xv, ghostscript
Group:		Amusements/Graphics

%description docs
This package contains the documentation to xv

%prep
%setup -q
%patch0 -p1 -b .fix
%patch1 -p1 -b .enh

%build
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_bindir} \
	$RPM_BUILD_ROOT/%{_mandir}/man1 \
	$RPM_BUILD_ROOT%{_docdir}/%{name}

make BINDIR=$RPM_BUILD_ROOT/%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
	LIBDIR=$RPM_BUILD_ROOT%{_docdir}/xv-docs-%{version} \
	install

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications

cat > xv.desktop << EOF
[Desktop Entry]
Name=XV
Type=Application
Comment=An X based image file viewer and manipulator.
Exec=xv
Terminal=false
EOF

desktop-file-install --vendor fedora --delete-original  \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	--add-category X-Fedora				\
	--add-category Application			\
	--add-category Graphics				\
	%{name}.desktop

cp %{SOURCE1} .

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:

%files
%defattr(-,root,root)
%doc README BUGS CHANGELOG IDEAS xv-3.10a-jumbo-README.txt
%{_bindir}/*
%{_datadir}/applications/*%{name}.desktop
%{_mandir}/man1/*

%files docs
%defattr(-,root,root)
%doc docs/{bmp.doc,epsf.ps,gif.ack,gif.aspect,gif87.doc,gif89.doc}
%doc docs/{help,xpm.ps,vdcomp.man,penn.policy,xv.ann,xv.blurb}
%doc docs/xvdocs.ps

%changelog
* Sun Oct 22 2006 Fabrice Bellet <fabrice@bellet.info> - 3.10a-28
- update desktop database at post and postun stage

* Mon Oct 16 2006 Fabrice Bellet <fabrice@bellet.info> - 3.10a-27
- minor changes for mock build environment and rpmlint
- properly install the xv.desktop file
- fixed BuildRequires

* Sat Apr 01 2006 Fabrice Bellet <fabrice@bellet.info> - 3.10a-26
- update to new jumbo patch

* Thu Sep 30 2004 Fabrice Bellet <fabrice@bellet.info> - 3.10a-25
- rebuild

* Thu Jun 10 2004 Fabrice Bellet <fabrice@bellet.info> - 3.10a-24
- applied jombo patches from http://www.sonic.net/~roelofs/greg_xv.html
- rebuilt for Fedora Core 2
- debuginfo rebuild

* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- rebuilt against new libpng

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- use %%{_docdir}

* Tue Jul 04 2000 Trond Eivind Glomsrød <teg@redhat.com>
- fix doc inclusion

* Tue Jul 04 2000 Trond Eivind Glomsrød <teg@redhat.com>
- don't use /usr/doc directly
- use %%{_tmppath}

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed May 31 2000 Than Ngo <than@redhat.de>
- split into xv and xv-docs packages (Bug#11043)

* Tue May 30 2000 Ngo Than
- rebuild for 7.0
- gzip man pages
- remove wmconfig, add xv.desktop

* Fri Jul 30 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Fri Apr 23 1999 Bill Nottingham <notting@redhat.com>
- build for powertools
- apply a pile of patches

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry 

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- various spec file cleanups
- added patch to manipulate PNG files

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- incorporated new jpegv6 patch from the author's web site
